Prepare install
===============
You require at least cmake 2.8.12, kde 4.9 and subversion 1.4. In source-tree-build are mostly unwanted, so
make a subdir called "kdesvn-build" and change to it.

Basic installation
==================
Change to your builddirectory and call cmake with the path to kdesvn. E.g.,
when your build-folder is "kdesvn-build" within source-tree, so change to it
and type "cmake ../".

Now your system get checked if it is able compiling kdesvn and cmake generates
the Makefiles.
Important parameters to cmake:

-DCMAKE_BUILD_TYPE=<buildtype>
<buildtype> may current one of "Debug", "Release", "ReleaseWithDebInfo"
or "MinSizeRel"

-DCMAKE_INSTALL_PREFIX=<prefix>
Default to "/usr/local"

-DSUBVERSION_INSTALL_PATH=<subversionlib-install-prefix>
Where is subversion-lib installed if not in default path. Default check in /usr and /usr/local

-DCMAKE_CXX_FLAGS=<some extra flags>
Extra flags for the c++ compiler for your system required.

After calling cmake just type
    make
and build begins. When more output is wanted call
   make VERBOSE=1

After make type "make install" and install begins.

You may install to a temporary-root with
    make install DESTDIR=<temproot>

If you want to uninstall kdesvn again type "make uninstall" from within the
build directory.

Extra cflags and linker flags
=============================

If you require extra flags for compiler and linker you may give them via environment variables
  "CXXFLAGS" (c++ compiler)
  "LDFLAGS" (for linker)
  "CFLAGS"  (for c-compiler, not needed in kdesvn build)
